## python-messaging 0.5.11+debian

=== Makefile ===
SHELL = /bin/bash

VERSION := $(shell python -c 'from messaging import VERSION; print "%s.%s.%s" % VERSION')
SOURCES := $(shell rpmbuild --eval '%{_topdir}' 2>/dev/null)/SOURCES
PMV := python-messaging-$(VERSION)

all:
	@echo Usage: make deb\|rpm

rpm:
	@if [ ! -d $(SOURCES) ] ;\
	then\
		echo 'SOURCES does not exist, are you running on a non RPM based system?';\
		exit 1;\
	fi

	tar -zcvf $(SOURCES)/$(PMV).tar.gz --exclude=.git --transform="s/^\./$(PMV)/" .
	rpmbuild -ba python-messaging.spec

deb:
	@if [ ! -d /var/lib/dpkg ] ;\
	then\
		echo 'Debian package directory does not exist, are you running on a non Debian based system?';\
		exit 1;\
	fi

	@if ! head -1 debian/changelog | grep -q $(VERSION) ;\
	then\
		echo Changelog and package version are different;\
		exit 1;\
	fi

	dpkg-buildpackage -rfakeroot;

## python-messaging 0.5.10-1~charlotte1

=== debian/changelog ===
python-messaging (0.5.10-1~charlotte1) lucid; urgency=low

  * Import from upstream

 -- Alex Chiang <achiang@canonical.com>  Thu, 03 Mar 2011 15:08:26 -0700

python-messaging (0.5.10-1) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Tue, 01 Mar 2011 12:52:00 +0000

python-messaging (0.5.9-1) lucid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Wed, 28 Jul 2010 09:12:45 +0200

python-messaging (0.5-1) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Fri, 18 Jun 2010 14:36:15 +0100

python-messaging (0.4-2) lucid; urgency=low

  * Packaging tweak

 -- Andrew Bird <ajb@spheresystems.co.uk>  Tue, 08 Jun 2010 14:19:45 +0100

python-messaging (0.4-1) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Mon, 07 Jun 2010 18:25:48 +0100

python-messaging (0.3-1) lucid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Sun, 18 Apr 2010 10:02:45 +0200

python-messaging (0.2-1) lucid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Tue, 01 Sep 2009 12:52:23 +0200

python-messaging (0.1-1) intrepid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Tue, 03 Jan 2009 14:49:18 +0100

=== debian/control ===
Source: python-messaging
Section: net
Priority: extra
Maintainer: Pablo Martí Gamboa <pmarti@warp.es>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python-central (>= 0.5.6)
Standards-Version: 3.8.3
XS-Python-Version: >= 2.5

Package: python-messaging
Architecture: all
Depends: python (>= 2.5), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
XB-Python-Version: >= 2.5
Description: A SMS encoding/decoding library

## python-messaging 0.5.11+debian

=== debian/changelog ===
python-messaging (0.5.11+debian-1) unstable; urgency=low

  * Initial packaging (Closes: #638536)
  * debian/patches/rm-distribute_setup.patch: unneeded, as we b-d on
    python-setuptools and can use imports from there directly

 -- Alex Chiang <achiang@canonical.com>  Thu, 18 Aug 2011 16:44:23 -0600

## python-messaging 0.5.12%2Bdebian

=== debian/control ===
Source: python-messaging
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Graham Inggs <graham@nerve.org.za>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-nose,
               python-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: https://github.com/pmarti/python-messaging
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-messaging/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-messaging/trunk/

Package: python-messaging
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Description: SMS/MMS encoder/decoder
 SMS Features
    * Supports 7bit, 8bit and UCS2 encodings
    * Multipart encoding/decoding
    * Status report encoding/decoding
    * Relative validity
    * Alphanumeric address decoding
    * Supports Python 2.x
 .
 MMS Features
    * SMIL support
    * Main formats supported: jpg, gif, arm, 3gp, midi, etc.
    * Supports MMS 1.0-1.4 decoding/encoding
    * Supports Python 2.x

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build *.egg-info _trial_temp

override_dh_install:
	rm -rf $(CURDIR)/debian/python-messaging/usr/lib/*/dist-packages/messaging/test
	dh_install

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; for python in $(shell pyversions -r) ; do \
		$$python /usr/bin/nosetests; \
	done
endif

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian.*$// \
https://github.com/pmarti/python-messaging/releases .*/v?(\d\S*)\.tar\.gz

## python-messaging 0.5.12+debian

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,10 @@
 PMV := python-messaging-$(VERSION)
 
 all:
-	@echo Usage: make deb\|rpm
+	@echo Usage: make deb \[TARGET=ubuntu-lucid\] \| rpm
+
+test:
+	nosetests -v -w . messaging/test
 
 rpm:
 	@if [ ! -d $(SOURCES) ] ;\
@@ -24,10 +27,18 @@
 		exit 1;\
 	fi
 
+	@if [ -d packaging/debian/$(TARGET)/debian ] ;\
+	then\
+		PKGSOURCE=$(TARGET);\
+	else\
+		PKGSOURCE=generic;\
+	fi;\
+	tar -C packaging/debian/$$PKGSOURCE -cf - debian | tar -xf -
+
 	@if ! head -1 debian/changelog | grep -q $(VERSION) ;\
 	then\
 		echo Changelog and package version are different;\
 		exit 1;\
 	fi
 
-	dpkg-buildpackage -rfakeroot;
+	dpkg-buildpackage -rfakeroot

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-messaging.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-messaging.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-messaging"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-messaging"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/control ===
Source: python-messaging
Maintainer: Alex Chiang <achiang@canonical.com>
Section: python
Priority: optional
Build-Depends: python-setuptools, python-nose, python-all (>= 2.6.6-3), debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: https://github.com/pmarti/python-messaging

Package: python-messaging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Description: SMS/MMS encoder/decoder
 SMS Features
    * Supports 7bit, 8bit and UCS2 encodings
    * Multipart encoding/decoding
    * Status report encoding/decoding
    * Relative validity
    * Alphanumeric address decoding
    * Supports Python 2.x
 .
 MMS Features
    * SMIL support
    * Main formats supported: jpg, gif, arm, 3gp, midi, etc.
    * Supports MMS 1.0-1.4 decoding/encoding
    * Supports Python 2.x

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2 --buildsystem python_distutils
+	dh --with python2 --buildsystem=python_distutils $@
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian.*$// \
http://githubredir.debian.net/github/pmarti/python-messaging/(.*).tar.gz
